SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   OS (UNIX)  >   auditselect Vendors:   IBM
IBM AIX Format String Flaw in auditselect Lets Certain Local Users Gain Root Privileges
SecurityTracker Alert ID:  1013103
SecurityTracker URL:  http://securitytracker.com/id/1013103
CVE Reference:   GENERIC-MAP-NOMATCH   (Links to External Site)
Date:  Feb 8 2005
Impact:   Execution of arbitrary code via local system, Root access via local system
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 5.2, 5.3
Description:   A vulnerability was reported in IBM's AIX auditselect command. Certain local users may be able to obtain root privileges.

The vendor reported that there is a format string flaw in auditselect. A local user with 'audit' group privileges can execute arbitrary code with root user privileges.

Impact:   A local user with 'audit' group privileges can obtain root access.
Solution:   IBM has released a fix for AIX 5.2 and 5.3, described at:

http://www.ibm.com/support/docview.wss?uid=isg1IY67472
http://www.ibm.com/support/docview.wss?uid=isg1IY67519

Vendor URL:  www.ibm.com/support/docview.wss?uid=isg1IY67519 (Links to External Site)
Cause:   Input validation error, State error

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC